stack-1.3.2: The Haskell Tool Stack

Safe Haskell | Safe
Language | Haskell2010

Data.Attoparsec.Combinators

Description

More readable combinators for writing parsers.

Synopsis

- appending :: (Applicative f, Monoid a) => f a -> f a -> f a
- alternating :: Alternative f => f a -> f a -> f a
- pured :: (Applicative g, Applicative f) => g a -> g (f a)
- concating :: (Monoid m, Applicative f) => f [m] -> f m

# Documentation

appending :: (Applicative f, Monoid a) => f a -> f a -> f a #

Concatenate two parsers.

alternating :: Alternative f => f a -> f a -> f a #

Alternative parsers.

pured :: (Applicative g, Applicative f) => g a -> g (f a) #

Pure something.

concating :: (Monoid m, Applicative f) => f [m] -> f m #

Concatting the result of an action.